Bug 322951 - .jar files should be opened automatically using icedtea
Summary: .jar files should be opened automatically using icedtea
Status: CLOSED DUPLICATE of bug 375541
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-08 10:04 UTC by Martin Jürgens
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-22 15:26:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Jürgens 2007-10-08 10:04:03 UTC
Description of problem:
.jar files should be opened automatically using IcedTea (java -jar filename.jar)
when doing a double click on them.

Comment 1 Thomas Fitzsimmons 2007-10-15 14:36:37 UTC
(In reply to comment #0)
> Description of problem:
> .jar files should be opened automatically using IcedTea (java -jar filename.jar)
> when doing a double click on them.

This is definitely true of JNLP files but Sun hasn't released Java Web Start yet.

JAR handling is tricky: I tried simply adding 'java -jar' as a GNOME MIME
handler but this has security problems.  For one, it means JARs from the web are
run trusted.  The MIME handler could use the applet security manager, 'java
-Djava.security.manager -jar', but then local trusted JARs would be restricted
in undesirable ways.  Getting the security/convenience trade-off right will
require further design and experimentation.  I'd like this solved for Fedora 9.

Comment 2 Martin Jürgens 2007-10-15 14:44:20 UTC
> I'd like this solved for Fedora 9.

I'd like, too. :)


Thanks for your reply. Let's hope Sun releases Java WebStart.

Comment 3 Lillian Angel 2007-11-22 15:26:37 UTC

*** This bug has been marked as a duplicate of 375541 ***


Note You need to log in before you can comment on or make changes to this bug.